# Google Container Engine API . projects . zones . operations

## Instance Methods

Gets the specified operation.

Lists all operations in a project in a specific zone.

### Method Details

`get(projectId, zoneId, operationId)`

    Gets the specified operation.

    Args:
      projectId: string, The Google Developers Console project ID or  project number. (required)
      zoneId: string, The name of the Google Compute Engine zone in which the operation resides. This is always the same zone as the cluster with which the operation is associated. (required)
      operationId: string, The server-assigned name of the operation. (required)

    Returns:
      An object of the form:

        { # Defines the operation resource. All fields are output only.
        "status": "A String", # The current status of the operation.
        "name": "A String", # The server-assigned ID for the operation.
        "zone": "A String", # The name of the Google Compute Engine zone in which the operation is taking place.
        "errorMessage": "A String", # If an error has occurred, a textual description of the error.
        "targetLink": "A String", # Server-defined URL for the target of the operation.
        "operationType": "A String", # The operation type.
        "selfLink": "A String", # Server-defined URL for the resource.
        "target": "A String", # [Optional] The URL of the cluster resource that this operation is associated with.
      }

`list(projectId, zoneId)`

    Lists all operations in a project in a specific zone.

    Args:
      projectId: string, The Google Developers Console project ID or  project number. (required)
      zoneId: string, The name of the Google Compute Engine zone to return operations for. (required)

    Returns:
      An object of the form:

        {
        "operations": [ # A list of operations in the project in the specified zone.
          { # Defines the operation resource. All fields are output only.
            "status": "A String", # The current status of the operation.
            "name": "A String", # The server-assigned ID for the operation.
            "zone": "A String", # The name of the Google Compute Engine zone in which the operation is taking place.
            "errorMessage": "A String", # If an error has occurred, a textual description of the error.
            "targetLink": "A String", # Server-defined URL for the target of the operation.
            "operationType": "A String", # The operation type.
            "selfLink": "A String", # Server-defined URL for the resource.
            "target": "A String", # [Optional] The URL of the cluster resource that this operation is associated with.
          },
        ],
      }